COMBAT_LOG_EVENT_UNFILTERED
function(...)
	local event = select(3, ...)
	aura_env.spell = select(14, ...)
	aura_env.target = select(10, ...)
	if aura_env.target == UnitName("player") and aura_env.spell == "Swelter" and event == "SPELL_AURA_APPLIED" then
		aura_env.startTime = GetTime()
	end
end

DURATION
function()
	print(GetTime() - aura_env.startTime)
	if UnitBuff("player", "Swelter") then
		print("STEP TWO")
		return GetTime() - aura_env.startTime, 3, 1
	elseif
		GetTime() - aura_env.startTime <= 10 then
		print("STEP THREE")
		return GetTime() - aura_env.startTime, 10, 1
	end
	if GetTime() - aura_env.startTime > 10 then
		print("STEP FOUR")
		return 1, 1, 1
	end
end

aura_env.spell = ""
aura_env.target = ""
aura_env.startTime = 0